# Define modern python2 macros for el6.
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif


Name:       cloudtoserver
Version:    0.1
Release:    2%{?dist}
Summary:    Tool to convert Fedora Cloud instance to Fedora Server instance

Group:      Development/Tools
License:    GPLv2+
URL:        http://github.com/fedora-cloud/cloudtoserver
Source0:    http://kushal.fedorapeople.org/%{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:   python
Requires:   python-setuptools

%description
Tool to convert a running Fedora Cloud instance to a Fedora Server instance.

%prep
%setup -q

# Remove bundled egg-info just in case it is included.
rm -rf *.egg*


%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root=%{buildroot}
mkdir -p  %{buildroot}/%{_mandir}/man8/
install -m644 %{name}.8 %{buildroot}/%{_mandir}/man8/
rm -rf %{buildroot}/%{python2_sitelib}/%{name}*


%files
%doc LICENSE README.rst
%{_bindir}/cloudtoserver
%{_mandir}/man8/%{name}.8*



%changelog
* Tue Oct 14 2014 Kushal Das <kushal@fedorapeople.org> - 0.1-2
- Removes python3 stuff from spec

* Tue Oct 14 2014 Kushal Das <kushal@fedorapeople.org> - 0.1-1
- Initial package
